OpenCV: cv::cuda::SparseOpticalFlow Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::cuda::SparseOpticalFlow Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Optical Flow

Base interface for sparse optical flow algorithms. More...

`#include "cudaoptflow.hpp"`

Inheritance diagram for cv::cuda::SparseOpticalFlow:

## Public Member Functions
virtual void | calc (InputArray prevImg, InputArray nextImg, InputArray prevPts, InputOutputArray nextPts, OutputArray status, OutputArray err=cv::noArray(), Stream &stream=Stream::Null())=0
| Calculates a sparse optical flow. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base interface for sparse optical flow algorithms.

## Member Function Documentation

## ◆ calc()

virtual void cv::cuda::SparseOpticalFlow::calc | ( | InputArray | prevImg,
|  | InputArray | nextImg,
|  | InputArray | prevPts,
|  | InputOutputArray | nextPts,
|  | OutputArray | status,
|  | OutputArray | err = `cv::noArray()`,
|  | Stream & | stream = `Stream::Null()`
| ) |  |
| pure virtual

Calculates a sparse optical flow.

Parameters

  prevImg | First input image.
  nextImg | Second input image of the same size and the same type as prevImg.
  prevPts | Vector of 2D points for which the flow needs to be found.
  nextPts | Output vector of 2D points containing the calculated new positions of input features in the second image.
  status | Output status vector. Each element of the vector is set to 1 if the flow for the corresponding features has been found. Otherwise, it is set to 0.
  err | Optional output vector that contains error response for each point (inverse confidence).
  stream | Stream for the asynchronous version.

The documentation for this class was generated from the following file:

- cudaoptflow/include/opencv2/cudaoptflow.hpp